#!/usr/bin/python

# Copyright (c) 2008 JJ Geewax http://geewax.org/
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish, dis-
# tribute, sublicense, and/or sell copies of the Software, and to permit
# persons to whom the Software is furnished to do so, subject to the fol-
# lowing conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABIL-
# ITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT
# SHALL THE AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

from distutils.core import setup
from pyauthticket import Version

setup(name = "pyauthticket",
      version = Version,
      description = "Simple HMAC Authentication in Python",
      long_description = "Simple HMAC Authentication in Python",
      author = "JJ Geewax",
      author_email = "jj@geewax.org",
      url = "http://code.google.com/p/pyauthticket/",
      packages = ['pyauthticket'],
      license = 'MIT',
      platforms = 'Posix; MacOS X; Windows',
      classifiers = [ 'Development Status :: 3 - Alpha',
                      'Intended Audience :: Developers',
                      'License :: OSI Approved :: MIT License',
                      'Operating System :: OS Independent',
                      'Programming Language :: Python',
                      'Topic :: Software Development :: Libraries',
                      'Topic :: Software Development :: Libraries :: Python Modules',
                      'Topic :: Security',
                      'Topic :: Security :: Cryptography',
                      ],
      )
